## START: Set by rpmautospec
## (rpmautospec version 0.3.8)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%{?mingw_package_header}

Name:           mingw-msgpack-cxx
Version:        6.1.0
Release:        %autorelease
Summary:        MinGW compiled msgpack-cxx library

License:        BSL-1.0
URL:            http://msgpack.org
Source:         https://github.com/msgpack/msgpack-c/releases/download/cpp-%{version}/msgpack-cxx-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  cmake

BuildRequires:  mingw32-filesystem
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-zlib
BuildRequires:  mingw32-boost

BuildRequires:  mingw64-filesystem
BuildRequires:  mingw64-gcc-c++
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-zlib
BuildRequires:  mingw64-boost

%description
MessagePack is a binary-based efficient object serialization
library. It enables to exchange structured objects between many
languages like JSON. But unlike JSON, it is very fast and small.

# Win32
%package     -n mingw32-msgpack-cxx
Summary:        MinGW compiled msgpack library for the Win32 target
Requires:       mingw32-boost
Requires:       mingw32-zlib

%description -n mingw32-msgpack-cxx
MinGW compiled msgpack library for the Win32 target.

# Win64
%package     -n mingw64-msgpack-cxx
Summary:        MinGW compiled msgpack library for the Win64 target
Requires:       mingw64-boost
Requires:       mingw64-zlib

%description -n mingw64-msgpack-cxx
MinGW compiled msgpack library for the Win64 target.

#{?mingw_debug_package}

%prep
%autosetup -p1 -n msgpack-cxx-%{version}

%build
%mingw_cmake

%install
%mingw_make_install

# Libtool files don't need to be bundled
find %{buildroot} -name "*.la" -delete

# Win32
%files -n mingw32-msgpack-cxx
%{mingw32_includedir}/msgpack.hpp
%{mingw32_includedir}/msgpack/
%{mingw32_libdir}/cmake/

# Win64
%files -n mingw64-msgpack-cxx
%{mingw64_includedir}/msgpack.hpp
%{mingw64_includedir}/msgpack/
%{mingw64_libdir}/cmake/

%changelog
## START: Generated by rpmautospec
* Fri Jan 19 2024 Tomi Lähteenmäki <lihis@lihis.net> - 6.1.0-1
- Upstream release 6.1.0
## END: Generated by rpmautospec
